module agent

go 1.23.0

toolchain go1.23.7

require (
	github.com/fatih/color v1.18.0
	github.com/go-stack/stack v1.8.1
	github.com/gorilla/websocket v1.5.3
	github.com/hokaccha/go-prettyjson v0.0.0-20211117102719-0474bc63780f
	github.com/mattn/go-colorable v0.1.14
	github.com/mattn/go-isatty v0.0.20
	github.com/quasilyte/go-ruleguard/dsl v0.3.22
	github.com/tmc/langchaingo v0.1.13
	golang.org/x/sys v0.31.0
	golang.org/x/time v0.11.0
)

require (
	github.com/dlclark/regexp2 v1.10.0 // indirect
	github.com/google/uuid v1.6.0 // indirect
	github.com/inconshreveable/mousetrap v1.1.0 // indirect
	github.com/pkoukk/tiktoken-go v0.1.6 // indirect
	github.com/spf13/cobra v1.9.1 // indirect
	github.com/spf13/pflag v1.0.6 // indirect
	golang.org/x/sync v0.12.0 // indirect
)
